#
# spec file for package perl-WWW-Curl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-WWW-Curl
Version:        4.17
Release:        7.5
%define cpan_name WWW-Curl
Summary:        Perl extension interface for libcurl
License:        MIT
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/WWW-Curl/
Source:         http://www.cpan.org/authors/id/S/SZ/SZBALINT/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL
BuildRequires:  libcurl-devel
Requires:       curl

%description
WWW::Curl is a Perl extension interface for libcurl.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
# MANUAL requires online access
#%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README README.Win32

%changelog
* Tue Mar 18 2014 coolo@suse.com
- disable test suite as it tries to contact google.com
* Mon Mar 10 2014 coolo@suse.com
- updated to 4.17
  - Fixing build process for old libcurl versions without CURLOPT_RESOLVE.
  - License is now MIT only.
  - Support for CURLOPT_RESOLVE (an slist option) [Theo Schlossnagle]
  - Fixing t/19multi.t test failures when using a threaded resolver for libcurl.
  - Improved constant parsing when using ISO-compliant CPP. [tsibley]
* Tue Dec 13 2011 coolo@suse.com
- checked license
* Thu Mar 31 2011 coolo@novell.com
- update to 4.15
  - Refactored constant handling and added thorough testing for it.
  - Fixed CURLOPT_PRIVATE, it is now a string and can be set/get accordingly.
  - Scalar references can now be used to receive body/header data [gfx].
  - Speed optimizations for threaded perl. [gfx, szbalint].
  - Added a more generic libcurl constant detection.
  - Added the pushopt method for appending strings to array options.
  - Documentation improvements.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Sep  4 2010 chris@computersalat.de
- update to 4.13
  - Fixed WWW::Curl::Form (again, formadd and formaddfile working now).
  - Made constant constant handling more robust and added tests [Fuji, Goro].
  - Modernized *.pm and AUTOLOAD now throws an error on unknown method calls
    [Fuji, Goro].
  - Fixed code depending on CURLINFO_SLIST to be optional [Fuji, Goro].
* Tue Aug 17 2010 chris@computersalat.de
- update to 4.12
  - Fixed WWW::Curl::Form (patch contributed by Michael Ing).
  - Added CURLPROXY_* constants (patch by claes).
  - Added the const_string method to provide access to constants
    in a non-bareword way.
  - Fixed t/01basic.t test failure on older libcurl versions.
- recreated by cpanspec 1.78
* Mon Feb  8 2010 coolo@novell.com
  4.11:
  - Fixed t/19multi.t for libcurl versions compiled with asyncronous dns resolution.
  4.10:
  - Added support for CURLINFO_SLIST in getinfo (patch by claes).
  - Merging documentation fixes upstream from the FreeBSD port (thanks Peter).
  - Added support for curl_multi_fdset.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Dec 10 2009 chris@computersalat.de
- cleanup spec
  * sorted tags
  * fixed build-/deps
- added perl-macros
  * perl_gen_filelist
* Wed Jul 15 2009 mc@suse.de
- initial version 4.09
